Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
eZ1337Translator Class Reference
Internationalization » Translation

Translates text into the leet (1337) language. More...

Inheritance diagram for eZ1337Translator:

## Public Member Functions
| __construct ()
| findMessage ( $context, $source, $comment=null)
| leetify ( $text)
| translate ( $context, $source, $comment=null)
Public Member Functions inherited from eZTranslatorHandler
| __construct ( $is_key_based)
| isKeyBased ()
| findKey ( $key)
| keyTranslate ( $key)

## Static Public Member Functions
static | initialize ()

## Public Attributes
| $Messages
Public Attributes inherited from eZTranslatorHandler
| $IsKeyBased

## Detailed Description

Translates text into the leet (1337) language.

It translates the following characters/strings

- to - 2
- for - 4
- ate - 8
- you - u
- l - 1
- e - 3
- o - 0
- a - 4
- t - 7

Definition at line 30 of file ez1337translator.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ1337Translator::__construct | ( |  | ) |

Definition at line 32 of file ez1337translator.php.

## Member Function Documentation

## ◆ findMessage()

eZ1337Translator::findMessage | ( |  | $context,
|  |  | $source,
|  |  | $comment = `null`
| ) |  |
| virtual

Returns
  the translation message for $source and $context or null if the key does not exist.

If you know the translation key use findKey() instead.

This function must overridden if isKeyBased() is true.

Implements eZTranslatorHandler.

Definition at line 39 of file ez1337translator.php.

References $translation, eZTranslatorManager\instance(), and leetify().

Referenced by translate().

## ◆ initialize()

static eZ1337Translator::initialize | ( |  | ) |
| static

Initialize the bork translator if this is not allready done.

Definition at line 90 of file ez1337translator.php.

References eZTranslatorManager\instance().

## ◆ leetify()

eZ1337Translator::leetify | ( |  | $text | ) |

Translates the text into 1337 code.

Definition at line 56 of file ez1337translator.php.

Referenced by findMessage().

## ◆ translate()

eZ1337Translator::translate | ( |  | $context,
|  |  | $source,
|  |  | $comment = `null`
| ) |  |
| virtual

Returns
  the translation string for $source and $context or null if the translation does not exist.

See also
  findMessage, findKey

Implements eZTranslatorHandler.

Definition at line 75 of file ez1337translator.php.

References $msg, and findMessage().

## Member Data Documentation

## ◆ $Messages

eZ1337Translator::$Messages

Contains the hash table with cached 1337 translations

Definition at line 105 of file ez1337translator.php.

The documentation for this class was generated from the following file:

- ez1337translator.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.